Installer PowerShell 5.1 sur Windows Server 2008 R2, 2012 ou 2012 R2

Installer PowerShell 5.1 sur Windows Server 2008 R2, 2012 ou 2012 R2

En standard, Windows Server 2008 R2 contient PowerShell 2.0, Windows Server 2012 contient PowerShell 3.0 et Windows Server 2012 R2 contient PowerShell 4.0. Cependant, il est possible d’installer PowerShell 5.1 sur chacun de ces OS. En fait, une suite aux articles sur l’installation de PowerShell 3 et l’installation de PowerShell 4.

Pour Windows Server 2008 R2 (ou Windows 7)

Pour Windows Server 2012

Pour Windows Server 2012 R2 (ou Windows 8.1)

Vérification

Ensuite, pour vérifier la version de PowerShell installée : $PSVersionTable

Installer PowerShell 5.1 : $PSVersionTable
$PSVersionTable en 5.1

Laisser un commentaire